[SCM] Samba Shared Repository - branch v3-2-test updated - initial-v3-2-unstable-651-g88b6d2c

Stefan Metzmacher metze at samba.org
Fri Dec 14 15:57:12 GMT 2007


The branch, v3-2-test has been updated
       via  88b6d2c0e83f515e2f83e5b4edc0728c434c7294 (commit)
       via  8ace8fa82c2ccd6fdb9ca076fb2d6fed203c8126 (commit)
      from  81dab4145ffaf21d5d2176b16b5989f4035dd791 (commit)

http://gitweb.samba.org/?p=samba.git;a=shortlog;h=v3-2-test


- Log -----------------------------------------------------------------
commit 88b6d2c0e83f515e2f83e5b4edc0728c434c7294
Author: Stefan Metzmacher <metze at samba.org>
Date:   Fri Dec 14 16:54:01 2007 +0100

    selftest: add a bunch of wbinfo based tests for winbindd
    
    metze

commit 8ace8fa82c2ccd6fdb9ca076fb2d6fed203c8126
Author: Stefan Metzmacher <metze at sernet.de>
Date:   Fri Dec 14 16:14:32 2007 +0100

    selftest: move workgroup name into WORKGROUP envvar
    
    metze

-----------------------------------------------------------------------

Summary of changes:
 source/script/tests/selftest.sh       |    5 ++-
 source/script/tests/test_wbinfo_s3.sh |   48 +++++++++++++++++++++++++++++++++
 source/script/tests/tests_all.sh      |    1 +
 3 files changed, 52 insertions(+), 2 deletions(-)
 create mode 100755 source/script/tests/test_wbinfo_s3.sh


Changeset truncated at 500 lines:

diff --git a/source/script/tests/selftest.sh b/source/script/tests/selftest.sh
index 130ce33..6810ec1 100755
--- a/source/script/tests/selftest.sh
+++ b/source/script/tests/selftest.sh
@@ -27,6 +27,7 @@ export TORTURE_MAXTIME
 ## setup the various environment variables we need
 ##
 
+WORKGROUP=SAMBA-TEST
 SERVER=localhost2
 SERVER_IP=127.0.0.2
 USERNAME=`PATH=/usr/ucb:$PATH whoami`
@@ -62,7 +63,7 @@ export PRIVATEDIR LIBDIR PIDDIR LOCKDIR LOGDIR SERVERCONFFILE
 export SRCDIR SCRIPTDIR BINDIR
 export USERNAME PASSWORD
 export SMBTORTURE4
-export SERVER SERVER_IP
+export WORKGROUP SERVER SERVER_IP
 export NSS_WRAPPER_PASSWD NSS_WRAPPER_GROUP
 export WINBINDD_SOCKET_DIR WINBINDD_PRIV_PIPE_DIR
 
@@ -107,7 +108,7 @@ chmod 777 $PREFIX_ABS/tmp
 ##
 
 cat >$COMMONCONFFILE<<EOF
-	workgroup = SAMBA-TEST
+	workgroup = $WORKGROUP
 
 	private dir = $PRIVATEDIR
 	pid directory = $PIDDIR
diff --git a/source/script/tests/test_wbinfo_s3.sh b/source/script/tests/test_wbinfo_s3.sh
new file mode 100755
index 0000000..abd6146
--- /dev/null
+++ b/source/script/tests/test_wbinfo_s3.sh
@@ -0,0 +1,48 @@
+#!/bin/sh
+
+if [ $# -lt 4 ]; then
+cat <<EOF
+Usage: test_wbinfo_s3.sh DOMAIN SERVER USERNAME PASSWORD <wbinfo args>
+EOF
+exit 1;
+fi
+
+domain="$1"
+server="$2"
+username="$3"
+password="$4"
+shift 4
+ADDARGS="$*"
+
+incdir=`dirname $0`
+. $incdir/test_functions.sh
+
+OLDIFS=$IFS;
+
+tests="--ping"
+tests="$tests:--separator"
+tests="$tests:--own-domain"
+tests="$tests:--all-domains"
+tests="$tests:--trusted-domains"
+tests="$tests:--domain-info=BUILTIN"
+tests="$tests:--domain-info=$server"
+tests="$tests:--sequence"
+tests="$tests:--sequence --domain=BUILTIN"
+tests="$tests:--sequence --domain=$server"
+#Didn't pass yet# tests="$tests:--domain-users"
+tests="$tests:--domain-groups"
+tests="$tests:--name-to-sid=$username"
+#Didn't pass yet# tests="$tests:--user-info=$username"
+tests="$tests:--user-groups=$username"
+
+OLDIFS=$IFS
+NEWIFS=$':'
+IFS=$NEWIFS
+for t in $tests; do
+   IFS=$OLDIFS
+   testit "wbinfo $t" $VALGRIND $BINDIR/wbinfo $ADDARGS $t || failed=`expr $failed + 1`
+   IFS=$NEWIFS
+done
+IFS=$OLDIFS
+
+testok $0 $failed
diff --git a/source/script/tests/tests_all.sh b/source/script/tests/tests_all.sh
index dd59389..12789aa 100755
--- a/source/script/tests/tests_all.sh
+++ b/source/script/tests/tests_all.sh
@@ -2,6 +2,7 @@
 $SCRIPTDIR/test_local_s3.sh || failed=`expr $failed + $?`
 $SCRIPTDIR/test_smbtorture_s3.sh //$SERVER_IP/tmp $USERNAME $PASSWORD "" || failed=`expr $failed + $?`
 $SCRIPTDIR/test_smbclient_s3.sh $SERVER $SERVER_IP || failed=`expr $failed + $?`
+$SCRIPTDIR/test_wbinfo_s3.sh $WORKGROUP $SERVER $USERNAME $PASSWORD || failed=`expr $failed + $?`
 
 SMBTORTURE4VERSION=`$SMBTORTURE4 --version`
 if [ -n "$SMBTORTURE4" -a -n "$SMBTORTURE4VERSION" ];then


-- 
Samba Shared Repository


More information about the samba-cvs mailing list